phpMyAdmin visszakövetés cross-site scripting sérülékenység

CH azonosító

CH-3591

Angol cím

phpMyAdmin Backtrace Cross-Site Scripting Vulnerability

Felfedezés dátuma

2010.08.30.

Súlyosság

Alacsony

Érintett rendszerek

phpMyAdmin
phpMyAdmin Project

Érintett verziók

phpMyAdmin 3.x

Összefoglaló

A phpMyAdmin olyan sérülékenysége vált ismertté, amelyet támadók kihasználhatnak cross-site scripting (CSS/XSS) támadások kezdeményezésére.

Leírás

Visszakövetés (backtrace) alkalmával bizonyos nem részletezett bemeneti adat ellenőrzése nem történik meg megfelelően, mielőtt debug üzenetekkel visszaküldésre kerülne a felhasználó részére. Ez kihasználható tetszőleges HTML és script kód futtatására, amely az érintett oldalt látogató felhasználó böngésző munkamenetében kerül lefuttatásra.

A sérülékenységet a 3.3.6-ost megelőző verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra